<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Tbl_activity_model extends CI_Model
{

    public $table = 'tbl_activity';
    public $id = 'id_user';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);

        return $this->db->get($this->table)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->db->like('id_user', $q);
	$this->db->or_like('last_page', $q);
	$this->db->or_like('last_datetime', $q);
	$this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->order_by($this->id, $this->order);
        $this->db->like('id_user', $q);
	$this->db->or_like('last_page', $q);
	$this->db->or_like('last_datetime', $q);
	$this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
		$CekData = $this->get_by_id($data['id_user']);
		var_dump($data);
		var_dump($CekData);die();
		if($CekData <= 0)
			$this->db->insert($this->table, $data);
		else
			$this->db->update($data['id_user'], $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }

}

/* End of file Tbl_activity_model.php */
/* Location: ./application/models/Tbl_activity_model.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-09-07 23:00:42 */
/* http://harviacode.com */